Page MenuHomePhabricator

DAGCombiner: Turn extract of bitcasted integer into truncate
ClosedPublic

Authored by arsenm on Feb 27 2016, 12:02 AM.

Details

Summary

This reduces the number of bitcast nodes and generally cleans up the
DAG when bitcasting between integers and vectors everywhere.

This is the complement of D17205

Diff Detail

Event Timeline

arsenm updated this revision to Diff 49289.Feb 27 2016, 12:02 AM
arsenm retitled this revision from to DAGCombiner: Turn extract of bitcasted integer into truncate.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
ab accepted this revision.Feb 29 2016, 11:10 AM
ab added a reviewer: ab.
ab added a subscriber: ab.

LGTM

lib/CodeGen/SelectionDAG/DAGCombiner.cpp
12248

Not a big deal, but SDLoc(N) seems more appropriate, no?

This revision is now accepted and ready to land.Feb 29 2016, 11:10 AM
arsenm added inline comments.Feb 29 2016, 11:44 AM
lib/CodeGen/SelectionDAG/DAGCombiner.cpp
12248

That seems more right, although in situations like this I'm not sure if it's supposed to be the source's

arsenm closed this revision.Mar 1 2016, 10:06 AM

r262358